### Method

# Gio Application bind_busy_property

since: 2.44

#### Declaration

    void
    g_application_bind_busy_property (
      GApplication* application,
      GObject* object,
      const gchar* property
    )

#### Description

Marks `application` as busy (see g_application_mark_busy()) while `property` on `object` is `TRUE`.

The binding holds a reference to `application` while it is active, but not to `object`. Instead, the binding is destroyed when `object` is finalized.

Available since: 2.44

#### Parameters

`object`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the method.

`property`

  Type: `const gchar*`

  The name of a boolean property of `object`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.